@import "critical.scss";


header#rev-deps {
  padding-bottom: 1em;
}
table.version-pop {
  margin: 1em 0;

  b {
    font-weight: normal;
  }
  th {
    padding-right: 1em;
    text-align: left;
  }
  tbody th {
    font-feature-settings: "tnum";
    font-variant-numeric: tabular-nums;
  }
  td {
    padding-right: 1em;
    min-width: 100px;
    text-align: right;
    span {
      float: right;
      height: 1.66em;
      line-height: 1.66em;
      margin: 0 0 0 0.3em;
      padding: 0 0.2em 0 0;
      background: rgba(#fbc, 0.2);
      border: #fab 1px solid;
      overflow: visible;
      display: block;
    }
  }
  td.dl {
    text-align: left;
    span {
      float: left;
      height: 1.66em;
      line-height: 1.66em;
      margin: 0 0.3em 0 0;
      padding: 0 0 0 0.2em;
      background: rgba(#cbf, 0.16);
      border: #cbf 1px solid;
    }
  }
}
table.reverse-deps {
  line-height: 1.25;
  margin: 1em 0;
  a {
    display: block;
  }
  td, th {
    vertical-align: baseline;
    padding: 0.25em 1em 0.25em 0;
  }
  small {
    font-weight: normal;
    opacity: var(--gamma-opacity);
  }
  th {
    text-align: center;
  }
  th:first-child {
    text-align: left;
  }
  td:nth-child(3) {
    word-break: break-word;
  }
  td:nth-child(4) {
    text-align: right;
    padding-right: 0.5em;
  }
  td:nth-child(5) {
    font-feature-settings: "tnum";
    font-variant-numeric: tabular-nums;
  }
  td:first-child, td:nth-child(2) {
    text-align: center;
    font-size: .8em;
    white-space: nowrap;
    overflow: hidden;
    color: #2f2f2f;
    padding-right: 0.5em;
    width: 1px; // it will stretch itself to minimum required
  }
  td:first-child {
    text-align: right;
  }
  .outdated {
    color: var(--orange-shade);
  }
  .feature {
    background: lighten($neutral-shade, 31%);
    border: 1px dotted lighten($neutral-shade, 0%);
    color: darken($brown-shade, 20%);

    @include dark {
      background: lighten($dark-neutral-shade, 10%);
      color: lighten($brown-shade, 15%);
      border: 1px dotted lighten($dark-neutral-shade, 50%);
    }
    @include little-pill-padding-border;
  }
  .label, .feature {
    @include little-pill;
    vertical-align: 17%;
  }
  .label  {
    @include little-pill-padding;
    color: var(--inverted-text-color);
    background: $blue-shade;
    &.label-dev {
      color: var(--inverted-text-color);
      background: lighten($brown-shade, 20%);
      @include dark {
        background: lighten($brown-shade, 0%);
      }
    }
    &.label-build {
      color: darken($brown-shade, 0%);
      background: var(--background-color);
      border: 1px solid lighten($brown-shade, 40%);
      @include dark {
        color: darken($brown-shade, 10%);
        border: 1px solid lighten($brown-shade, 40%);
        background: lighten($dark-neutral-shade, 75%);
      }
      @include little-pill-padding-border;
    }
  }
  &.no-dl-columns {
    td:first-child, td:nth-child(2) {
      padding: 0;
    }
  }
}


.active-users {
  overflow: auto;
  overflow-scrolling: auto;
  max-width: 100vw;

  table {
    border-collapse: collapse;
    caption-side: bottom;
    margin: 2em 0;
  }
  th, td {
    padding: 0;
    font-size: 0.72em;
    text-align: center;
  }
  &.big {
    td {
      font-size: 0.6em;
    }
  }
  th.partial:first-child {
    text-align: left;
  }
  th.partial:last-child {
    text-align: right;
  }
  th {
    opacity: 0.5;
    line-height: 1;
    padding: 2px 0 0;
    font-weight: normal;
    border-top: 1px solid #888;
  }
  th:not(:first-child) {
    border-left: 1px dotted #aaa;
  }
  span {
    line-height: 1;
    writing-mode: vertical-rl;
    text-align: center;
    overflow: hidden;
    display: block;
    margin: 4px 0;
  }
  div {
    span {
      margin: 0;
      height: 100%;
      vertical-align: middle;
    }
    text-align: center;
    display: block;
    overflow: hidden;
  }
  .total {
    td {
      vertical-align: bottom;
      padding: 0 0 3px 0;
    }
    div {
      color: black;
      vertical-align: middle;
      background: rgba(#dde, 0.75);
      &.gaining {
        background: #afa;
        background: rgba(#8f8, 0.72);
      }
      &.losing {
        background: #fcb;
        background: rgba(#fba, 0.8);
      }
    }
  }
  @include dark {
    .added, .removed {
      opacity: var(--gamma-opacity8);
    }
  }
  .added {
    td {
      vertical-align: bottom;
      padding: 12px 0 1px 0;
    }
    div {
      background: #6c6; color: white;
      border-top: 1px solid #080;
    }
  }
  .removed {
    td {
      vertical-align: top;
      padding: 0 0 4px 0;
    }
    div {
      border-bottom: 1px solid #c00;
      background: #f65; color: white;
    }
  }
}
